Subject: bug#14738: closed (Re: bug#14738: 24.3.50; defcustom :type (repeat ([email-masked] symbol plist)) when nil is the default value.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 01 Jul 2013 05:19:03 +0000

Your bug report

#14738: 24.3.50; defcustom :type (repeat (cons symbol plist)) when nil is the default value.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14738: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14738
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14738: 24.3.50; defcustom :type (repeat ([email-masked] symbol plist)) when nil is the default value.
From: Katsumi Yamaoka <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked], Jambunathan K <[email-masked]>
Date: Mon, 01 Jul 2013 14:18:25 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Katsumi Yamaoka wrote:
> Maybe I am the culprit.  This seems to be a side effect of:

> 2013-01-07  Katsumi Yamaoka  <[email-masked]>
> 	* wid-edit.el (widget-default-get): Work for inlined elements.
> 	(Bug#12670)

> cf. http://news.gmane.org/group/gmane.emacs.bugs/thread=65693

Fixed.

[...]

>> Plus, all but the first INS DEL pair are indented differently
>> from the first pair.

> this seems to be due to another cause since reverting my patch
> doesn't help.

I guess what controls the indentation may be the built-in function
widget-apply or widget-put.  If so, I'm not capable to fix it.

Subject: 24.3.50; defcustom :type (repeat (cons symbol plist)) when nil is the default value.
From: Jambunathan K <[email-masked]>
To: [email-masked]
Date: Fri, 28 Jun 2013 16:31:49 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

1,2 below is a minor bug.
3,4 is a major bug.

0. C-M-x the below defcustom.  This is copied verbatim from gnus-art.el
1. M-x customize-variable RET gnus-face-properties-alist RET
2. The first PROP VALUE pair in the widget is more indented than the rest.

3. Change the standard value to nil.  C-M-x it.
4. Note that the INS DEL button for the plist is not available.  i.e., I
   cannot add more than one PROP VALUE pair.

(defcustom gnus-face-properties-alist (if (featurep 'xemacs)
					  '((xface . (:face gnus-x-face)))
					'((pbm . (:face gnus-x-face))
					  (png . nil)))
  "Alist of image types and properties applied to Face and X-Face images.
Here are examples:

;; Specify the altitude of Face images in the From header.
\(setq gnus-face-properties-alist
      '((pbm . (:face gnus-x-face :ascent 80))
	(png . (:ascent 80))))

;; Show Face images as pressed buttons.
\(setq gnus-face-properties-alist
      '((pbm . (:face gnus-x-face :relief -2))
	(png . (:relief -2))))

See the manual for the valid properties for various image types.
Currently, `pbm' is used for X-Face images and `png' is used for Face
images in Emacs.  Only the `:face' property is effective on the `xface'
image type in XEmacs if it is built with the libcompface library."
  :version "23.1" ;; No Gnus
  :group 'gnus-article-headers
  :type '(repeat (cons :format "%v" (symbol :tag "Image type") plist)))

In GNU Emacs 24.3.50.2 (i686-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2013-06-27 on debian-6.05
Bzr revision: 113207 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.10707000
Important settings:
  value of $LANG: en_IN
  locale-coding-system: iso-latin-1-unix
  default enable-multibyte-characters: t